Subject: EB-3 cutoff date

From: Jun Wu <[email-masked]>
Date: Sat, 19 Feb 94 21:04:04 CST

According to CND, EB-3 cutoff date did move to July 2 for March.
That means those LADs who haven't applied can apply in March, and those
who applied and were interviewed and passed can go to local INS and
have them stamp passports in March. And I believe the "Pink Cards" are also
on the way. In the meantime, they have to pay REAL tax starting this
year!
	Correct me if I'am wrong.

Jun
-- 
                                 ^-^    Owlnet
                                (O O)   School of Engineering Network
                                ( v )
       o o o o o o . . .    __=--m-m--=_T__ ____======_T__ ____========_T_____
     o      _____          ||             | |            | |               |
   .][__n_n_|DD[  ====____  |   Jun  Wu   | |  ECE Rice  | | [email-masked] | |
  >(________|__|_[________]_|_____________|_|____________|_|_______________|_|
 __/oo OOOOO oo`  ooo  ooo  'o^o       o^o` 'o^o      o^o` 'o^o         o^o`